%define momorel 4

Summary: A XMLRPC/SOAP library
Name: xmlrpc-epi
Version: 0.51
Release: %{momorel}m
License: BSD
Group: System Environment/Libraries
Source: http://unc.dl.sourceforge.net/sourceforge/xmlrpc-epi/xmlrpc-epi-%{version}.tar.gz
Patch0: xmlrpc-epi-0.51-libdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://sourceforge.net/projects/xmlrpc-epi/
NoSource: 0

%{expand: %%define _includedir  %{_includedir}/%{name}}

%description
The xmlrpc-epi package contains an XMLRPC and SOAP library, which allows you to
manipulate XMLRPC or SOAP server/client. 

%package devel
Summary: Libraries, includes and other files to develop XMLRPC or SOAP applications.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
The xmlrpc-epi-devel package contains the libraries, include and other
files you can use to develop XMLRPC or SOAP applications.

%prep
%setup -q
%patch0 -p1 -b .libdir~

%build
libtoolize -c -f
aclocal
autoconf
%configure
make


%install
rm -rf %{buildroot}
%makeinstall
# remove bindir at this time, are these samples?
rm -rf %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/lib*.so*

%files devel
%defattr(-, root, root)
%{_libdir}/*a
%{_includedir}/*

%ChangeLog
* Sun Jan 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.51-4m)
- enable x86_64. add xmlrpc-epi-0.51-libdir.patch.

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (0.51-3m)
- revised spec for rpm 4.2.

* Sat Oct 11 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (0.51-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Jul 27 2002 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- add xmlrpc-epi

